# Uses of Class
org.snpsift.lang.expression.Expression

Packages that use Expression
Package
Description
org.snpsift
org.snpsift.lang
org.snpsift.lang.expression
org.snpsift.lang.function

## Uses of Expression in org.snpsift

Methods in org.snpsift that return Expression
Modifier and Type
Method
Description
`Expression`
SnpSiftCmdFilter.`parseExpression(String expression)`
Parse expression
`Expression`
SnpSiftCmdFilterGt.`parseExpression(String expression)`
Parse expression

## Uses of Expression in org.snpsift.lang

Methods in org.snpsift.lang that return Expression
Modifier and Type
Method
Description
`Expression`
LangFactory.`compile(String expression)`
Create an AST from a program (using ANTLR lexer invalid input: '&' parser) Returns null if error Use 'alreadyIncluded' to keep track of from 'include' statements
`Expression`
LangFactory.`expressionFactory(org.antlr.v4.runtime.tree.ParseTree tree)`
Create 'Expressions' from Tree

## Uses of Expression in org.snpsift.lang.expression

Subclasses of Expression in org.snpsift.lang.expression
Modifier and Type
Class
Description
`class`
`And`
And expression
`class`
`Div`
And expression
`class`
`Eq`
Equal
`class`
`Exists`
Exists operator (true if a field exists)
`class`
`ExpressionBinary`
Binary condition
`class`
`ExpressionUnary`
An expression that can be negated
`class`
`Field`
A field: E.g.: 'DP', 'CHROM'
`class`
`FieldConstant`
A 'constant' field: e.g.
`class`
`FieldConstantFloat`
A 'constant' field: e.g.
`class`
`FieldEff`
An 'EFF' field form SnpEff: E.g.: 'EFF[2].GENE'
`class`
`FieldGenotype`
A field: E.g.: 'GEN[2].GT'
`class`
`FieldGenotypeSub`
A field: E.g.: 'GEN[2].PL[3]'
`class`
`FieldLof`
A LOF field form SnpEff: E.g.: 'LOF[2].GENE'
`class`
`FieldNmd`
A NMD field form SnpEff: E.g.: 'NMD[2].GENE'
`class`
`FieldSub`
A field that has sub fields (e.g.
`class`
`Ge`
Greater equal
`class`
`Gt`
Greater equal
`class`
`Has`
Equal
`class`
`Le`
Less or equal than
`class`
`Literal`
`class`
`Lt`
Greater equal
`class`
`Match`
Match a regular expression (string)
`class`
`Minus`
And expression
`class`
`Mod`
And expression
`class`
`Na`
Exists operator (true if a field exists)
`class`
`Neq`
Not equal
`class`
`Not`
Not expression
`class`
`NotMatch`
Match a regular expression (string)
`class`
`Or`
Or expression
`class`
`Plus`
And expression
`class`
`Times`
And expression
`class`
`Xor`
Or expression
Fields in org.snpsift.lang.expression declared as Expression
Modifier and Type
Field
Description
`protected Expression`
ExpressionUnary.`expr`
`protected Expression`
ExpressionBinary.`left`
`protected Expression`
ExpressionBinary.`right`
Methods in org.snpsift.lang.expression with parameters of type Expression
Modifier and Type
Method
Description
`protected int`
FieldSub.`evalIndex(org.snpeff.vcf.VcfEntry vcfEntry, Expression idxExpr)`
Evaluate index expression (VCF entry)
`protected int`
FieldSub.`evalIndex(org.snpeff.vcf.VcfGenotype vcfGenotype, Expression idxExpr)`
Evaluate index expression (VCF genotype)
Constructors in org.snpsift.lang.expression with parameters of type Expression
Modifier
Constructor
Description
``
`And(Expression left, Expression right)`
``
`Div(Expression left, Expression right)`
``
`Eq(Expression left, Expression right)`
``
`Exists(Expression expr)`
``
`ExpressionBinary(Expression left, Expression right, String operator)`
``
`ExpressionUnary(Expression expr, String operator)`
``
`FieldEff(String name, Expression idxExpr, org.snpeff.vcf.EffFormatVersion formatVersion, String fieldName)`
Constructor
``
`FieldGenotype(String name, Expression indexExpr)`
``
`FieldGenotypeSub(String name, Expression indexExpr, Expression indexExpr2)`
``
`FieldLof(String name, Expression indexExpr)`
``
`FieldNmd(String name, Expression indexExpr)`
``
`FieldSub(String name, Expression indexExpr)`
``
`Ge(Expression left, Expression right)`
``
`Gt(Expression left, Expression right)`
``
`Has(Expression left, Expression right)`
``
`Le(Expression left, Expression right)`
``
`Lt(Expression left, Expression right)`
``
`Match(Expression left, Expression right)`
``
`Minus(Expression left)`
``
`Minus(Expression left, Expression right)`
``
`Mod(Expression left, Expression right)`
``
`Na(Expression expr)`
``
`Neq(Expression left, Expression right)`
``
`Not(Expression expr)`
``
`NotMatch(Expression left, Expression right)`
``
`Or(Expression left, Expression right)`
``
`Plus(Expression left)`
``
`Plus(Expression left, Expression right)`
``
`Times(Expression left, Expression right)`
``
`Xor(Expression left, Expression right)`

## Uses of Expression in org.snpsift.lang.function

Subclasses of Expression in org.snpsift.lang.function
Modifier and Type
Class
Description
`class`
`CountHet`
Count number of heterozygous samples
`class`
`CountHom`
Count number of homozygous samples
`class`
`CountRef`
Count number of refernces samples
`class`
`CountVariant`
Count number of ALT samples
`class`
`Function`
A function that returns an expression (i.e.
`class`
`FunctionBoolGenotype`
A function that returns a bool type (i.e.
`class`
`In`
Is an expression in a set?
`class`
`IsHet`
Is 'genotypeNum' heterozygous?
`class`
`IsHom`
Is 'genotypeNum' homozygous?
`class`
`IsRef`
Is 'genotypeNum' reference?
`class`
`IsVariant`
Is 'genotypeNum' reference?
Constructors in org.snpsift.lang.function with parameters of type Expression
Modifier
Constructor
Description
``
`FunctionBoolGenotype(String functionName, Expression exprIdx)`
``
`In(ArrayList<HashSet<String>> sets, Expression expression, Expression setIdxExpr)`
``
`IsHet(Expression exprIdx)`
``
`IsHom(Expression exprIdx)`
``
`IsRef(Expression exprIdx)`
``
`IsVariant(Expression exprIdx)`